if not exists(select* from sys.sysobjects where id = object_id(N'dbo.InventoryScanConfigurationCredential'))
begin
    create table [dbo].[InventoryScanConfigurationCredential] (
        [ID][uniqueidentifier] NOT NULL,
        [PamCredentialID] [uniqueidentifier] NULL,
        [Label] [nvarchar](256) NULL,
        [PriorityLevel] [int] NOT NULL,
        [AuthenticationType] [int] NOT NULL,
        [Domain] [nvarchar](256) NULL,
        [Username] [nvarchar](256) NULL,
        [Password] [nvarchar](256) NULL,
        [CreatedDate] [datetime2] NULL,
        [CreatedUsername] [nvarchar](256) NOT NULL,
        [CreatedLoggedUsername] [nvarchar](256) NOT NULL,
        [ModifiedDate] [datetime2] NULL,
        [ModifiedUsername] [nvarchar](256) NOT NULL,
        [ModifiedLoggedUsername] [nvarchar](256) NOT NULL,
        constraint[PK_InventoryScanConfigurationCredential] primary key clustered(ID)
    );
end;